#!/usr/bin/env node

'use strict';

const spawn = require('child_process').spawn;

const dockerImages = spawn('docker', ['images', '-a', '-q']);

dockerImages.stdout.setEncoding('utf8');

dockerImages.stdout.on('data', (data) => {
  let images = data.trim().split('\n');

  if (images.length > 0) {
    console.log('\nRemoving...');
    
    for (let image of images) {
      spawn('docker', ['rmi', '-f', image], {
        stdio: 'ignore',
        detached: true
      });
      
      console.log('   ❌   ' + image);
    };
  };
});