import cp from 'child_process';
import test from 'ava';

const spawn = cp.spawnSync;

test.before(t => {	
	spawn('docker', ['pull', 'alpine:edge']);
});

test('verify has any image on local storage', t => {
	t.true(hasAnyImage());
});

test('verify all images are removed after execute cli', t => {
	spawn('node', ['./cli.js'], {}, () => {
		t.false(hasAnyImage());
	});
});

function hasAnyImage() {
	var images = spawn('docker', ['images', '-a', '-q'], { encoding : 'utf8' });
	return (images.stdout.trim() != "") ? true : false;
};
